package com.zhentao.common;

import lombok.Data;

import java.io.Serializable;

@Data
public class Result implements Serializable {
    private Integer code;
    private String message;
    private Object data;

    public static Result OK(String message,Object data){
        Result result=new Result();
        result.setCode(200);
        result.setMessage(message);
        result.setData(data);
        return result;
    }
    public static Result ERROR(String message,Object data){
        Result result=new Result();
        result.setCode(400);
        result.setMessage(message);
        result.setData(data);
        return result;
    }
}
